Setting Internet Security and Firewall options

The default Internet security and firewall settings provide a safe, automatic, and efficient way of protecting your computer. If you want to change or customize your protection, you can access most features from the main window. If you need to control additional settings, such as Trust Control or Program Control, you can use the Internet Security and Firewall options.

To change settings for individual features

  1. At the top of the main window, click the Norton Internet Security tab.

  2. Open the Settings bar.

  3. Click the feature that you want to change, and then click Configure.

  4. In the options dialog box, make the necessary changes.

  5. Do one of the following:

    • To save your changes and close the options dialog box, click OK.

    • To save your changes without closing the options dialog box, click Apply.

To set additional options

  1. At the top of the main window, click the Norton Internet Security tab.

  2. Open the Settings bar.

  3. Under Additional Options, click Internet Security and Firewall options.

    You might need to scroll down to view Additional Options.

  4. In the Internet Security and Firewall Options window, on the left side, select the type of options you want to set. Your options are:

    System

    Control when Norton Internet Security starts, protect program settings, and choose the elements to display.

    Personal Firewall

    Control the advanced protection features, and customize the ports that your computer uses to view Web pages.

    Intrusion Prevention

    Select which Intrusion Prevention signatures to monitor, and customize automatic attack blocking.

    LiveUpdate

    Turn on or turn off Automatic LiveUpdate, and choose the components that you want Automatic LiveUpdate to monitor.

    Security Inspector

    Control how to scan your computer for security weaknesses.

You can change any of the options that are listed. If you have made a number of changes that have unwanted results, you can restore all options to the default settings.

If you set a password for Options, you must enter the password before you can view or adjust the settings.

Password protection for Options settings is not available in Windows Vista.

To restore default settings on an Options page

  • On the page for which you want to restore default settings, click Page Default.

More Information

About System General Settings options

About Personal Firewall options

About Intrusion Prevention options

About LiveUpdate General Settings options

About Security Inspector General Settings options

Password-protecting Internet Security and Firewall options


About System General Settings options

System General Settings options let you choose the visual elements that you want to display.

In addition, you can protect your program settings with a password.

Password protection for Options settings is not available in Windows Vista.

Your options are:

Protect Norton Internet Security tools

Set a password to protect your security settings from people who have physical access to your computer.

Password protection for Options settings is not available in Windows Vista.

Protect my product

Check this option to protect Symantec products from an attack or modification by unknown, suspicious, or threatening applications.

This option is not available in the 64-bit version of Windows Vista.

Tray icon settings

Display a Norton Internet Security icon in the Notification Area of the Windows XP Taskbar. that gives you access to program settings.

More Information

About Personal Firewall General Settings options

About LiveUpdate General Settings options

Password-protecting Internet Security and Firewall options


About Personal Firewall options

Personal Firewall options let you customize how the firewall monitors and responds to inbound and outbound communications.

You can set the following Personal Firewall options:

General Settings | Turn on and turn off the Personal Firewall, and control the extent to which the firewall notifies you about network events.
Program Control | Control settings for programs that access the Internet.
Trust Control | View the networks that your computer is connected to, and add the networks to the Trusted list or the Restricted list.
Advanced Settings | Activate advanced protection features, and customize the ports that your computer uses to view Web pages.

More Information

About Personal Firewall General Settings options

About Personal Firewall Program Control options

About Personal Firewall Trust Control options

About Personal Firewall Advanced Settings options


About Personal Firewall General Settings options

Personal Firewall General Settings options let you turn on and turn off the Personal Firewall. You can also control the extent to which the firewall notifies you about network events. Your options are:

Firewall Protection

Turns the Personal Firewall on and off.

When the Personal Firewall is turned off, your computer is not adequately protected from Internet threats and security risks.

Firewall Processing

Determines settings for programs that access the Internet. You can use the recommended settings to minimize the number of alerts that you receive when a program attempts to access the Internet. These settings provide an online experience with fewer interruptions.

The other settings in this section are configurable only when the "Ask me what to do" setting is selected. Turning on any of these settings increases the number of alerts that you receive. These settings include the following:

  • Automatically customize Internet access settings for common Internet programs.

    You can check this check box to allow the firewall to configure Internet access settings for all recognized programs.

  • Turn on Program Launch Monitoring.

    You can check this check box to ensure that Trojan horses and other malicious programs cannot launch and manipulate safe programs without your knowledge. When Program Launch Monitoring is active, you are alerted whenever an unrecognized program launches another program. You can then choose to allow or block Internet access for the unrecognized program.

  • Turn on Program Component Monitoring.

    You can check this check box to be notified when a program uses an external software component to connect to the Internet. This ensures that Trojan horses and other malicious programs cannot attach to safe programs and evade detection.

More Information

About System General Settings options

About LiveUpdate General Settings options

Password-protecting Internet Security and Firewall options


About Personal Firewall Program Control options

Personal Firewall Program Control options let you control settings for programs that access the Internet. In the Program Control window you can control how programs that are on your computer access the Internet. In the list of programs, you can modify Internet access for each program. You can also add a program to the list or remove a program from the list. Your options are:

Program | The name of the program, or the name of the program's executable file.
Access | The level of access that the program has. You can change the access level by selecting a different entry from the drop-down list.
Add | Allows you to add a program to Program Control manually.
Remove | Allows you to remove a selected program from Program Control.
Modify | Opens the Program Rules window, in which you can customize rules for a selected program.

More Information

About Program rules


About Personal Firewall Trust Control options

Personal Firewall Trust Control options let you view the networks that your computer is connected to. You can use Trust Control options to add the networks to the Trusted list or the Restricted list. Your options are:

Active | Lists all the networks to which your computer is connected. The Security column indicates whether the network is trusted, restricted, or protected. Protected means that the network has not been classified as trusted or restricted.
Trusted | Lists all the networks and the computers that you have classified as trusted. Trusted computers and all the computers on trusted networks have full access to your computer. Intrusion Prevention remains in effect, however, so trusted computers cannot send known attack signatures to your computer.
Restricted | Lists all the networks and the computers that you have classified as restricted. Restricted computers and all the computers on restricted networks cannot directly access your computer.
Properties | Opens the Properties dialog box, in which you can type a custom description for a network or computer. For trusted networks, you can also modify the level of access allowed on the network.
Restrict | Adds a selected network or computer to the Restricted list.
Trust | Adds a selected network or computer to the Trusted list.
Add | Allows you to add a computer to the Trusted list by typing its IP address.
Remove | Removes a selected item from the Trusted or Restricted list. This option is not available on the Active list.

More Information

Allowing or blocking access to your computer


About Personal Firewall Advanced Settings options

Personal Firewall Advanced Settings options let you activate advanced protection features and customize the ports that your computer uses to view Web pages. Your options are:

General rules

Determines how the Personal Firewall controls incoming and outgoing network traffic.

Port stealthing

Ensures that blocked and inactive ports do not respond to connection attempts. Prevents active ports from responding to connection attempts with incorrect source or destination information.

Reset firewall

Returns the Personal Firewall to its default state. You can click "Reset" to ensure that all recommended firewall rules and settings are configured.

If you reset the firewall, you will remove any custom rules or settings that you have configured.

More Information

About System General Settings options

About LiveUpdate General Settings options

Password-protecting Internet Security and Firewall options


About Intrusion Prevention options

Intrusion Prevention options let you customize how the firewall monitors and responds to suspicious inbound communications.

You can set the following Intrusion Prevention options:

General Settings | Turn on and turn off Intrusion Prevention, and control whether or not to be notified when Intrusion Prevention signatures are detected.
AutoBlock | Turn on and turn off AutoBlock, and manage the computers that are currently blocked by AutoBlock.

More Information

About Intrusion Prevention General Settings options

About Intrusion Prevention AutoBlock options


About Intrusion Prevention General Settings options

Intrusion Prevention General Settings options let you turn on and turn off Intrusion Prevention. You can also control whether or not to be notified when Intrusion Prevention detects attack signatures. Your options are:

Intrusion Prevention

Turns Intrusion Prevention on and off.

When Intrusion Prevention is turned off, your computer is not adequately protected from Internet threats and security risks.

Intrusion Prevention Notification

Determines whether or not you are notified when Intrusion Prevention signatures are detected.

You can turn off notifications for individual Intrusion Prevention signatures by using Signature Exclusions.

Signature Exclusions

Click Exclusions to view a list of Intrusion Prevention signatures. You can use that list to exclude individual signatures from being monitored. You can also turn off notifications for individual signatures.


About Intrusion Prevention AutoBlock options

When an attack is detected, the connection is automatically blocked to ensure that your computer is safe. If a computer continues to attack your computer, Intrusion Prevention can activate AutoBlock. AutoBlock blocks all incoming traffic from the attacking computer for a limited time, even if the incoming traffic is not a recognized attack method.

Intrusion Prevention AutoBlock options let you turn on and turn off AutoBlock. You can also view, unblock, or restrict the blocked computers. Your options are:

AutoBlock | Turns AutoBlock on and off. You can also determine the amount of time to block connections from attacking computers.
Computers currently blocked by AutoBlock | Displays the IP addresses of automatically blocked computers. You can unblock a computer in this list to allow connections from that computer. You can restrict a computer in this list to block connections from that computer permanently.


About LiveUpdate General Settings options

LiveUpdate General Settings options let you turn on or turn off Automatic LiveUpdate. Automatic LiveUpdate automatically checks for protection updates and program updates when you are connected to the Internet. For maximum security, you should leave Automatic LiveUpdate On.

If you have an ISDN (Integrated Services Digital Network) router that is set to Automatically Connect, you could be incurring connection and phone charges every time Automatic LiveUpdate runs. If this is a concern, you can turn off automatic connection on your ISDN router, or turn off Automatic LiveUpdate.

You can choose the components that you want Automatic LiveUpdate to monitor. For some components, you can also choose whether Automatic LiveUpdate performs updates in the background, or notifies you that updates are available. Your options are:

Automatic LiveUpdate | Turn on and turn off Automatic LiveUpdate
Personal Firewall | Firewall rules that increase and extend the Personal Firewall's ability to protect your computer
Intrusion Prevention | Attack signatures that protect your computer from newly discovered Internet attacks


About Security Inspector General Settings options

Security Inspector options control how Norton Internet Security scans your computer for conditions that can compromise security.

Your options are:

Categories

Click Settings to choose the categories that should be included when Security Inspector scans your computer.

Exclusions

Click Settings to view or re-include the items that are excluded from Security Inspector categories.

In order to exclude items, you must run a Security Inspector scan, and then exclude detected vulnerabilities individually.

Scanning your computer for vulnerable settings

Alerts

Click the Reset button to ensure that all necessary alerts appear during a scan or restore operation. The Security Inspector shows all necessary alerts, even those that you opted to hide during a previous operation.

More Information

About Security Inspector basic categories

About Security Inspector advanced categories


About Security Inspector basic categories

Basic categories are included in the Security Inspector scan by default. You can remove a category from the scan by clearing its check box.

Your options are:

Browser settings

Checks that Internet Explorer security settings are configured to Symantec standards.

Instant messaging

Determines whether Norton Internet Security is set to protect your Instant Messenger accounts (AOL Instant Messenger, Yahoo! Instant Messenger, and Microsoft Messenger).

Security Inspector does not check the settings of Yahoo! Instant Messenger 7.0, which uses server-based virus protection.

IP addresses

Checks that IP addresses (localhost settings) in your Windows hosts file have not been redirected.

Windows passwords

Checks for weak or easily guessed Windows account passwords.

This option is not available in the 64-bit version of Windows Vista.

You can click Restore Defaults to include all the basic categories in the Security Inspector scan.

When you restore the default settings, you also remove all the Advanced categories from the scan.

More Information

About Security Inspector advanced categories


About Security Inspector advanced categories

Advanced categories are not included in the Security Inspector scan by default. You can include a category in the scan by clicking its check box.

Your options are:

Shared folders | Checks for shared folder settings that do not meet Symantec security standards. Examples include administrative shares, shared system folders, and more than four shared folders of any combination of shared folder types.
Windows services | Determines whether Windows services are configured for optimal security. For example, services such as Telnet that are not necessary for regular home use should be disabled.
User rights | Checks for Windows accounts with excess rights, such as the permission to shut down your computer from another computer.

You can click Restore Defaults to remove all the advanced categories from the Security Inspector scan.

When you restore the default settings, you also include all the Basic categories in the scan.

More Information

About Security Inspector basic categories


Password-protecting Internet Security and Firewall options

You can protect Internet Security and Firewall options with a password. This lets you control who can make changes to your protection settings. You can also remove password protection if you no longer require it.

Password protection for Options settings is not available in Windows Vista.

To specify or remove a password

  1. At the top of the main window, click the Norton Internet Security tab.

  2. Open the Settings bar.

  3. Under Additional Options, click Internet Security and Firewall options.

    You might need to scroll down to view Additional Options.

  4. In the Internet Security and Firewall Options window, under Protect Norton Internet Security tools, check or uncheck Turn on password protection.

  5. In the password dialog box, in the Password and Confirm Password text boxes, type a password that is between 8 and 256 characters in length.

  6. Click OK.

  7. In the Internet Security and Firewall Options window, click OK.

More Information

About System General Settings options

About LiveUpdate General Settings options

About Personal Firewall General Settings options

Resetting the options password


About Browser Settings exclusions

The Security Inspector scan will not check the Internet Explorer settings listed on the Browser Settings tab page for unsafe values. If you want Security Inspector to check one or more of the listed settings the next time you run a scan, remove them from the exclusions list.

To remove browser settings from the exclusions list

  1. In the Security Inspector Exclusions dialog box, on the Browser Settings tab page, select the settings that you want to remove and then click Remove.

  2. Click OK.


About Windows Passwords exclusions

The Security Inspector scan will not check the Windows user accounts listed on the Windows Passwords tab page for weak or missing passwords. If you want Security Inspector to check one or more of the listed accounts the next time you run a scan, remove them from the exclusions list.

The Windows Passwords category is not available in the 64-bit version of Windows Vista.

To remove Windows user accounts from the exclusions list

  1. In the Security Inspector Exclusions dialog box, on the Windows Passwords tab page, select the Windows user accounts that you want to remove and then click Remove.

  2. Click OK.


About User Rights exclusions

The Security Inspector scan will not check the rights listed on the User Rights tab page for excessive permissions. If you want Security Inspector to check one or more of the listed rights the next time you run a scan, remove them from the exclusions list.

To remove rights from the exclusions list

  1. In the Security Inspector Exclusions dialog box, on the User Rights tab page, select the rights that you want to remove and then click Remove.

  2. Click OK.


About Windows Services exclusions

The Security Inspector scan will not check the services listed on the Windows Services tab page for vulnerable settings. If you want Security Inspector to check one or more of the listed services the next time you run a scan, remove them from the exclusions list.

To remove services from the exclusions list

  1. In the Security Inspector Exclusions dialog box, on the Windows Services tab page, select the services that you want to remove and then click Remove.

  2. Click OK.


About Shared Folders exclusions

The Security Inspector scan will not check the folders listed on the Shared Folders tab page for improper share settings. If you want Security Inspector to check one or more of the listed folders the next time you run a scan, remove them from the exclusions list.

To remove shared folders from the exclusions list

  1. In the Security Inspector Exclusions dialog box, on the Shared Folders tab page, select the folders that you want to remove and then click Remove.

  2. Click OK.